<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for staff in staffs package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  staff module in staffs package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'Staff',
    'names'         => 'Staff',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'Staff',
        'sub'   => 'Staff',
        'list'  => 'List of staff',
        'edit'  => 'Edit staff',
        'create'    => 'Create new staff'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            'sex'                 => ['','Male','Female'],
            'status'              => ['New','Active','Suspended','Locked'],
            'email_verified_at'   => ['No','Yes'],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'reporting_to'               => 'Please enter reporting to',
        'name'                       => 'Please enter name',
        'firstname'                  => 'Please enter firstname',
        'surname'                    => 'Please enter surname',
        'email'                      => 'Please enter email',
        'user_group'                 => 'Please enter user group',
        'office_id'                  => 'Please enter office id',
        'title'                      => 'Please enter title',
        'wordpress_user'             => 'Please enter wordpress user',
        'active'                     => 'Please enter active',
        'print_profile'              => 'Please enter print profile',
        'profile_pic'                => 'Please enter profile pic',
        'town_knowledge'             => 'Please enter town knowledge',
        'knowledge'                  => 'Please enter knowledge',
        'ships'                      => 'Please enter ships',
        'statement'                  => 'Please enter statement',
        'password'                   => 'Please enter password',
        'api_token'                  => 'Please enter api token',
        'remember_token'             => 'Please enter remember token',
        'sex'                        => 'Please select sex',
        'dob'                        => 'Please select dob',
        'designation'                => 'Please enter designation',
        'mobile'                     => 'Please enter mobile',
        'phone'                      => 'Please enter phone',
        'address'                    => 'Please enter address',
        'street'                     => 'Please enter street',
        'city'                       => 'Please enter city',
        'district'                   => 'Please enter district',
        'state'                      => 'Please enter state',
        'country'                    => 'Please enter country',
        'photo'                      => 'Please enter photo',
        'web'                        => 'Please enter web',
        'permissions'                => 'Please enter permissions',
        'status'                     => 'Please select status',
        'email_verified_at'          => 'Please select email verified at',
        'last_login'                 => 'Please select last login',
        'user_id'                    => 'Please enter user id',
        'user_type'                  => 'Please enter user type',
        'upload_folder'              => 'Please enter upload folder',
        'deleted_at'                 => 'Please select deleted at',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'team_id'                    => 'Please enter team id',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'reporting_to'               => 'Reporting to',
        'name'                       => 'Name',
        'firstname'                  => 'Firstname',
        'surname'                    => 'Surname',
        'email'                      => 'Email',
        'user_group'                 => 'User group',
        'office_id'                  => 'Office id',
        'title'                      => 'Title',
        'wordpress_user'             => 'Wordpress user',
        'active'                     => 'Active',
        'print_profile'              => 'Print profile',
        'profile_pic'                => 'Profile pic',
        'town_knowledge'             => 'Town knowledge',
        'knowledge'                  => 'Knowledge',
        'ships'                      => 'Ships',
        'statement'                  => 'Statement',
        'password'                   => 'Password',
        'api_token'                  => 'Api token',
        'remember_token'             => 'Remember token',
        'sex'                        => 'Sex',
        'dob'                        => 'Dob',
        'designation'                => 'Designation',
        'mobile'                     => 'Mobile',
        'phone'                      => 'Phone',
        'address'                    => 'Address',
        'street'                     => 'Street',
        'city'                       => 'City',
        'district'                   => 'District',
        'state'                      => 'State',
        'country'                    => 'Country',
        'photo'                      => 'Photo',
        'web'                        => 'Web',
        'permissions'                => 'Permissions',
        'status'                     => 'Status',
        'email_verified_at'          => 'Email verified at',
        'last_login'                 => 'Last login',
        'user_id'                    => 'User id',
        'user_type'                  => 'User type',
        'upload_folder'              => 'Upload folder',
        'deleted_at'                 => 'Deleted at',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'team_id'                    => 'Team id',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'name'                       => ['name' => 'Name', 'data-column' => 1, 'checked'],
        'firstname'                  => ['name' => 'Firstname', 'data-column' => 2, 'checked'],
        'surname'                    => ['name' => 'Surname', 'data-column' => 3, 'checked'],
        'email'                      => ['name' => 'Email', 'data-column' => 4, 'checked'],
        'user_group'                 => ['name' => 'User group', 'data-column' => 5, 'checked'],
        'office_id'                  => ['name' => 'Office id', 'data-column' => 6, 'checked'],
        'title'                      => ['name' => 'Title', 'data-column' => 7, 'checked'],
        'wordpress_user'             => ['name' => 'Wordpress user', 'data-column' => 8, 'checked'],
        'active'                     => ['name' => 'Active', 'data-column' => 9, 'checked'],
        'print_profile'              => ['name' => 'Print profile', 'data-column' => 10, 'checked'],
        'profile_pic'                => ['name' => 'Profile pic', 'data-column' => 11, 'checked'],
        'town_knowledge'             => ['name' => 'Town knowledge', 'data-column' => 12, 'checked'],
        'knowledge'                  => ['name' => 'Knowledge', 'data-column' => 13, 'checked'],
        'ships'                      => ['name' => 'Ships', 'data-column' => 14, 'checked'],
        'statement'                  => ['name' => 'Statement', 'data-column' => 15, 'checked'],
        'password'                   => ['name' => 'Password', 'data-column' => 16, 'checked'],
        'api_token'                  => ['name' => 'Api token', 'data-column' => 17, 'checked'],
        'remember_token'             => ['name' => 'Remember token', 'data-column' => 18, 'checked'],
        'sex'                        => ['name' => 'Sex', 'data-column' => 19, 'checked'],
        'dob'                        => ['name' => 'Dob', 'data-column' => 20, 'checked'],
        'designation'                => ['name' => 'Designation', 'data-column' => 21, 'checked'],
        'mobile'                     => ['name' => 'Mobile', 'data-column' => 22, 'checked'],
        'phone'                      => ['name' => 'Phone', 'data-column' => 23, 'checked'],
        'address'                    => ['name' => 'Address', 'data-column' => 24, 'checked'],
        'street'                     => ['name' => 'Street', 'data-column' => 25, 'checked'],
        'city'                       => ['name' => 'City', 'data-column' => 26, 'checked'],
        'district'                   => ['name' => 'District', 'data-column' => 27, 'checked'],
        'state'                      => ['name' => 'State', 'data-column' => 28, 'checked'],
        'country'                    => ['name' => 'Country', 'data-column' => 29, 'checked'],
        'photo'                      => ['name' => 'Photo', 'data-column' => 30, 'checked'],
        'web'                        => ['name' => 'Web', 'data-column' => 31, 'checked'],
        'email_verified_at'          => ['name' => 'Email verified at', 'data-column' => 32, 'checked'],
        'last_login'                 => ['name' => 'Last login', 'data-column' => 33, 'checked'],
        'team_id'                    => ['name' => 'Team id', 'data-column' => 34, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'Staff',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
