<?php

// API routes  for staff
Route::prefix('{guard}/staffs')->group(function () {
    Route::get('staff/form/{element}', 'StaffAPIController@form');
    Route::resource('staff', 'StaffAPIController');
});

// Public routes for staff
Route::get('staffs/', 'StaffPublicController@index');
Route::get('staffs/{slug?}', 'StaffPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for staffs
            Route::prefix('{guard}/staffs')->group(function () {
                Route::get('staff/form/{element}', 'StaffAPIController@form');
                Route::apiResource('staff', 'StaffAPIController');
            });
            // Public routes for staffs
            Route::get('staffs/Staff', 'StaffPublicController@getStaff');
        }
    );
}

