<?php

// web routes  for staff
Route::prefix('{guard}/staffs')->group(function () {
    Route::resource('staff', 'StaffResourceController');
});

// Public routes for staff
Route::get('staffs/', 'StaffPublicController@index');
Route::get('staffs/{slug?}', 'StaffPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'StaffResourceController');
            });
            // Public routes for pages
            Route::get('staffs/', 'StaffPublicController@index');
            Route::get('staffs/{slug?}', 'StaffPublicController@show');
        }
    );
}

