<?php

namespace Btravel\Staffs\Http\Controllers;

use App\Http\Controllers\PublicController as BaseController;
use Btravel\Staffs\Interfaces\StaffRepositoryInterface;

class StaffPublicController extends BaseController
{
    // use StaffWorkflow;

    /**
     * Constructor.
     *
     * @param type \Btravel\Staff\Interfaces\StaffRepositoryInterface $staff
     *
     * @return type
     */
    public function __construct(StaffRepositoryInterface $staff)
    {
        $this->repository = $staff;
        parent::__construct();
    }

    /**
     * Show staff's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $staff = $this->repository
        ->pushCriteria(app('Litepie\Repository\Criteria\RequestCriteria'))
        ->scopeQuery(function($query){
            return $query->orderBy('id','DESC');
        })->paginate();


        return $this->response->setMetaTitle(trans('staffs::staff.names'))
            ->view('staffs::public.staff.index')
            ->data(compact('staff'))
            ->output();
    }


    /**
     * Show staff.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $staff = $this->repository->scopeQuery(function($query) use ($slug) {
            return $query->orderBy('id','DESC')
                         ->where('slug', $slug);
        })->first(['*']);

        return $this->response->setMetaTitle($staff->name . trans('staffs::staff.name'))
            ->view('staffs::public.staff.show')
            ->data(compact('staff'))
            ->output();
    }

}
