<?php

namespace Btravel\Staffs\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class StaffTransformer extends TransformerAbstract
{
    public function transform(\Btravel\Staffs\Models\Staff $staff)
    {
        return [
            'id'                => $staff->getRouteKey(),
            'key'               => [
                'public'    => $staff->getPublicKey(),
                'route'     => $staff->getRouteKey(),
            ], 
            'reporting_to'      => $staff->reporting_to,
            'name'              => $staff->name,
            'firstname'         => $staff->firstname,
            'surname'           => $staff->surname,
            'email'             => $staff->email,
            'user_group'        => $staff->user_group,
            'office_id'         => $staff->office_id,
            'title'             => $staff->title,
            'wordpress_user'    => $staff->wordpress_user,
            'active'            => $staff->active,
            'print_profile'     => $staff->print_profile,
            'profile_pic'       => $staff->profile_pic,
            'town_knowledge'    => $staff->town_knowledge,
            'knowledge'         => $staff->knowledge,
            'ships'             => $staff->ships,
            'statement'         => $staff->statement,
            'password'          => $staff->password,
            'api_token'         => $staff->api_token,
            'remember_token'    => $staff->remember_token,
            'sex'               => $staff->sex,
            'dob'               => $staff->dob,
            'designation'       => $staff->designation,
            'mobile'            => $staff->mobile,
            'phone'             => $staff->phone,
            'address'           => $staff->address,
            'street'            => $staff->street,
            'city'              => $staff->city,
            'district'          => $staff->district,
            'state'             => $staff->state,
            'country'           => $staff->country,
            'photo'             => $staff->photo,
            'web'               => $staff->web,
            'permissions'       => $staff->permissions,
            'email_verified_at' => $staff->email_verified_at,
            'last_login'        => $staff->last_login,
            'user_id'           => $staff->user_id,
            'user_type'         => $staff->user_type,
            'upload_folder'     => $staff->upload_folder,
            'deleted_at'        => $staff->deleted_at,
            'team_id'           => $staff->team_id,
            'url'               => [
                'public'    => trans_url('staffs/'.$staff->getPublicKey()),
                'user'      => guard_url('staffs/staff/'.$staff->getRouteKey()),
            ], 
            'status'            => trans('app.'.$staff->status),
            'created_at'        => format_date($staff->created_at),
            'updated_at'        => format_date($staff->updated_at),
        ];
    }
}