<?php

namespace Btravel\Staffs;

use User;

class Staffs
{
    /**
     * $staff object.
     */
    protected $staff;

    /**
     * Constructor.
     */
    public function __construct(\Btravel\Staffs\Interfaces\StaffRepositoryInterface $staff)
    {
        $this->staff = $staff;
    }

    /**
     * Returns count of staffs.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.staff.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->staff->pushCriteria(new \Litepie\Btravel\Repositories\Criteria\StaffUserCriteria());
        }

        $staff = $this->staff->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('staffs::' . $view, compact('staff'))->render();
    }
}
